Skip to content

bots.listBots

GET
/v1/bots
curl --request GET \
--url 'https://example.com/v1/bots?archived=true' \
--header 'Authorization: Bearer <token>'

Lists the Bots that the caller can use: their own Bots and the shared Bots. With session, it lists the Session Bots of that Session. With bot, it lists the Bots that this Bot owns.

archived
string
Allowed values: true false
session
string
bot
string
>= 1 characters <= 128 characters

Success

Media typeapplication/json
Array<object>
object
id
required
string
>= 1 characters <= 128 characters
kind
required
string
Allowed values: persistent session
owner
required
Any of:
object
_tag
required
string
Allowed values: Member
userId
required
string
name
required
string
role
required
string
instructions
required
string
model
object
_tag
required
string
Allowed values: Config.Selection
provider
required
string
model
required
string
reasoningEffort
Any of:
string
serviceTier
Any of:
string
planApproval
object
approver
required
string
Allowed values: chain person
timeoutMs
required
integer
>= 1000 <= 604800000
onTimeout
required
string
Allowed values: run stay
source
object
organizationId
required
string
bot
required
string
>= 1 characters <= 128 characters
archived
required
boolean
revision
required
integer
<= 9007199254740991
createdAt
required
number
updatedAt
required
number

Example

[
{
"kind": "persistent",
"owner": {
"_tag": "Member"
},
"model": {
"_tag": "Config.Selection"
},
"planApproval": {
"approver": "chain",
"onTimeout": "run"
}
}
]

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PermissionDenied
permission
required
string
Allowed values: responses.run sessions.read sessions.write requests.resolve bots.read bots.write bots.delegate bots.share triggers.read triggers.write channels.read channels.write channels.use channel_identities.read channel_identities.write connections.read connections.write apps.use apps.publish computers.read computers.write computers.use computer_providers.read computer_providers.write computer_providers.use models.use tokens.read tokens.write organization.read organization.write roles.write model_providers.read model_providers.write sso.read sso.write platform.read platform.write members.read members.write audit_logs.read usage.read budgets.read budgets.write
resource
required
string

Example

{
"_tag": "PermissionDenied",
"permission": "responses.run"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

BotConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: BotConflict
message
required
string

Example

{
"_tag": "BotConflict"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: AuthorizationUnavailable

Example

{
"_tag": "AuthorizationUnavailable"
}